package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgMsg struct {
	models.Model

	Code     string `json:"code" gorm:"type:varchar(20);comment:Code"`
	Username string `json:"username" gorm:"type:varchar(20);comment:Username"`
	MsgType  string `json:"msgType" gorm:"type:varchar(20);comment:MsgType"`
	models.ModelTime
	models.ControlBy
}

func (OrgMsg) TableName() string {
	return "org_msg"
}

func (e *OrgMsg) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgMsg) GetId() interface{} {
	return e.Id
}
